;===============================================================;
;                                                               ;
; Alien Breed 5                                                 ;
; Branch table                                                  ;
;                                                               ;
;===============================================================;

#ifdef TI83PLUS
;------------------------------------------------
; page 0 routines to be accessed from other pages
;------------------------------------------------
ab5_teacherKey          = $-$4000
    .dw teacherKey
    .db 0
ab5_pauseScreen         = $-$4000
    .dw pauseScreen
    .db 0
ab5_loadIntexConsole    = $-$4000
    .dw loadIntexConsole
    .db 0
ab5_viewRadarScanner    = $-$4000
    .dw viewRadarScanner
    .db 0
ab5_pdeadGameOver       = $-$4000
    .dw pdeadGameOver
    .db 0
ab5_levelFinished       = $-$4000
    .dw levelFinished
    .db 0
ab5_timerZero           = $-$4000
    .dw timerZero
    .db 0
ab5_setShowHL           = $-$4000
    .dw setShowHL
    .db 0
ab5_waitKey             = $-$4000
    .dw waitKey
    .db 0
ab5_showTip             = $-$4000
    .dw showTip
    .db 0
ab5_saveState           = $-$4000
    .dw saveState
    .db 0
ab5_showEventText       = $-$4000
    .dw showEventText
    .db 0
ab5_showStrings         = $-$4000
    .dw showStrings
    .db 0
ab5_invertGbuf          = $-$4000
    .dw invertGbuf
    .db 0
ab5_vPutsNoCursor       = $-$4000
    .dw vPutsNoCursor
    .db 0
ab5_showInfoBox         = $-$4000
    .dw showInfoBox
    .db 0
ab5_fadeOut             = $-$4000
    .dw fadeOut
    .db 0
ab5_restoreContrast     = $-$4000
    .dw restoreContrast
    .db 0
ab5_ep3EasterEgg        = $-$4000
    .dw ep3EasterEgg
    .db 0

;------------------------------------------------
; page 1 routines to be accessed from other pages
;------------------------------------------------
ab5_putSprite           = $-$4000
    .dw putSprite
    .db 1
ab5_putClippedSprite    = $-$4000
    .dw putClippedSprite
    .db 1
ab5_checkWall           = $-$4000
    .dw checkWall
    .db 1
ab5_getTile             = $-$4000
    .dw getTile
    .db 1
ab5_getBlockXYFromHL    = $-$4000
    .dw getBlockXYFromHL
    .db 1
ab5_drawLevel           = $-$4000
    .dw drawLevel
    .db 1
ab5_saveVideo           = $-$4000
    .dw saveVideo
    .db 1
ab5_restoreVideo        = $-$4000
    .dw restoreVideo
    .db 1
ab5_displayMeter        = $-$4000
    .dw displayMeter
    .db 1
ab5_drawPlayers         = $-$4000
    .dw drawPlayers
    .db 1
ab5_updateAnims         = $-$4000
    .dw updateAnims
    .db 1
ab5_randomExplosion     = $-$4000
    .dw randomExplosion
    .db 1
ab5_drawAnims           = $-$4000
    .dw drawAnims
    .db 1
ab5_addScore            = $-$4000
    .dw addScore
    .db 1
ab5_getRandom           = $-$4000
    .dw getRandom
    .db 1
ab5_addAmmoClip         = $-$4000
    .dw addAmmoClip
    .db 1
ab5_directIn            = $-$4000
    .dw directIn
    .db 1
ab5_darkMask            = $-$4000
    .dw darkMask
    .db 1

;------------------------------------------------
; page 6 routines to be accessed from other pages
;------------------------------------------------
ab5_setAchievement      = $-$4000
    .dw setAchievement
    .db 6
ab5_incAchievement      = $-$4000
    .dw incAchievement
    .db 6
ab5_viewNewAchievement  = $-$4000
    .dw viewNewAchievement
    .db 6
ab5_viewAchievements    = $-$4000
    .dw viewAchievements
    .db 6
#endif

#ifdef TI84PLUSCE
#define ab5_teacherKey teacherKey
#define ab5_pauseScreen pauseScreen
#define ab5_loadIntexConsole loadIntexConsole
#define ab5_viewRadarScanner viewRadarScanner
#define ab5_pdeadGameOver pdeadGameOver
#define ab5_levelFinished levelFinished
#define ab5_timerZero timerZero
#define ab5_setShowHL setShowHL
#define ab5_waitKey waitKey
#define ab5_showTip showTip
#define ab5_saveState saveState
#define ab5_showEventText showEventText
#define ab5_showInfoBox showInfoBox

#define ab5_putSprite putSprite
#define ab5_putClippedSprite putClippedSprite
#define ab5_checkWall checkWall
#define ab5_getTile getTile
#define ab5_getBlockXYFromHL getBlockXYFromHL
#define ab5_drawLevel drawLevel
#define ab5_saveVideo saveVideo
#define ab5_restoreVideo restoreVideo
#define ab5_displayMeter displayMeter
#define ab5_drawPlayers drawPlayers
#define ab5_updateAnims updateAnims
#define ab5_randomExplosion randomExplosion
#define ab5_drawAnims drawAnims
#define ab5_addScore addScore
#define ab5_getRandom getRandom
#define ab5_addAmmoClip addAmmoClip
#define ab5_directIn directIn
#define ab5_darkMask darkMask

#define ab5_setAchievement setAchievement
#define ab5_incAchievement incAchievement
#define ab5_viewNewAchievement viewNewAchievement
#define ab5_viewAchievements viewAchievements
#endif

.end
